%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkgname boto

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Summary:	A simple lightweight interface to Amazon Web Services
Name:		python26-boto
Version:	1.8d
Release:	1
BuildArch:	noarch
License:	MIT
Group:		Development/Languages
URL:		http://code.google.com/p/%{pkgname}/
Source:		http://boto.googlecode.com/files/%{pkgname}-%{version}.tar.gz
BuildRequires:	python26-devel, python26-setuptools

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT{%{_bindir},%{python_sitelib}/tests}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{python_sitelib}/*

%changelog
* Tue Dec 01 2009 Christian Metzen <metzench@ccux-linux.de> 1.8d-1
- Initial CCux package release
